﻿#goTop{
    position: absolute;
    top: 0;
    left: 0;
}
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
    background-color: #fffbfb;
}
.header-style1 .header-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding: 11px 0;
}
.header-style1 .header-logo{
    width: 474px;
    max-width: 100%;
    display: inline-block;
    position: relative;
    vertical-align: middle;
}
.header-left-box{
    width: calc(100% - 474px);
    display: inline-block;
    vertical-align: middle;
    text-align: right;
}
.header-search-box{
    width: 500px;
    display: inline-block;
    vertical-align: middle;
    position: relative;
}
.header-search{
    width: 100%;
    display: block;
}
.header-search>input{
    width: 100%;
    height: 42px;
    display: block;
    box-sizing: border-box;
    border: none;
    padding-left: 25px;
    padding-right: 45px;
    background-color: #eee;
    border-radius: 21px;
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    font-family: "Noto Sans TC";
    transition: all .3s linear;
}
input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder{
    font-family: "Noto Sans TC";
    font-weight: 300;
    color: #666;
}
input:-moz-placeholder,
textarea:-moz-placeholder{
    font-family: "Noto Sans TC";
    font-weight: 300;
    color: #666;
}
input::-moz-placeholder,
textarea::-moz-placeholder{
    font-family: "Noto Sans TC";
    font-weight: 300;
    color: #666;
}
.header-search-box form>span{
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 18px;
    line-height: 42px;
    color: #666;
    cursor: pointer;
    transition: all .3s linear;
}
.header-shopping-box{
    display: inline-block;
    vertical-align: middle;
    margin-left: 35px;
    cursor: pointer;
}
.header-shopping-box>span{
    font-size: 24px;
    line-height: 42px;
    color: #666;
    display: inline-block;
    vertical-align: middle;
    transition: all .3s linear;
}
.header-shopping-text{
    font-size: 16px;
    font-family: "Noto Sans TC";
    font-weight: 300;
    letter-spacing: 0.06em;
    line-height: 40px;
    color: #666;
    display: inline-block;
    vertical-align: middle;
    margin-left: 15px;
    margin-top: 2px;
    transition: all .3s linear;
}
.header-shopping-text>span{
    font-weight: 300;
}

.header-style1 .header-menu-box{
    width: 100%;
    display: block;
    font-size: 0;
    background-color: #fffbfb;
    box-shadow: 0 5px 5px rgba(0 ,0 ,0 ,0.1);
}
.header-style1 .header-menu{
    width: 1200px;
    max-width: 100%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: space-between;
    -webkit-justify-content: space-between;
    flex-direction: row;
    margin: 0 auto;
    font-size: 0;
}
.header-style1 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
}


.header-menu-title{
    font-size: 18px;
    line-height: 80px;
    color: #000;
    letter-spacing: 0.2em;
    position: relative;
    font-family: 'Noto Sans TC';
    font-weight: 700;
    display: inline;
    transition: all .3s linear;
}
div.header-menu-title{
    cursor: pointer
}

.header-menu-list-box{
    width: 260px;
    position: absolute;
    top: 100%;
    left: -30px;
    background-color: #f5f5f5;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: none;
}
.rwd-header-menu-list-back{
    display: none;
}
.header-menu-list-box>li{
    position: relative;
}
.header-menu-list{
    width: 100%;
    display: block;
    position: relative;
    border-bottom: 1px solid #eee;
}
.header-menu-list-a{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 0 25px;
    padding-right: 50px;
    font-size: 18px;
    line-height: 49px;
    color: #000;
    letter-spacing: 0.06em;
    font-family: 'Noto Sans TC';
    transition: all .3s linear;
}
.header-menu-list>p{
    width: 50px;
    display: block;
    font-size: 18px;
    line-height: 49px;
    color: #000;
    position: absolute;
    right: 0;
    top: 0;
    cursor: pointer;
    text-align: center;
    transition: all .3s linear;
    pointer-events: none;
}
.header-menu-second-box{
    width: 260px;
    position: absolute;
    top: 0%;
    left: 100%;
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    border: 1px solid #e50516;
    opacity: 0;
    pointer-events: none;
    overflow: hidden;
    overflow-y: auto;
    max-height: 50vh;
}
.header-menu-second-box::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}
.header-menu-second-box::-webkit-scrollbar-thumb {
    border-radius:100px;
    -webkit-box-shadow:inset 0 0 5px rgba(0,0,0,0.2);
    background:rgba(229, 5, 24, 0.5);
}
.header-menu-second-box::-webkit-scrollbar-track {
    -webkit-box-shadow:inset 0 0 5px rgba(0,0,0,0.2);
    border-radius:0;
    background:transparent;
}
.header-menu-second{
    box-sizing: border-box;
    border-bottom: 1px solid #eee;
}
.header-menu-second-list{
    position: relative;
    transition: all .3s linear;
}
.header-menu-second-list-title{
    width: 100%;
    display: block;
    font-size: 18px;
    line-height: 1;
    color: #e50516;
    letter-spacing: 0.1em;
    position: relative;
    font-family: 'Roboto Condensed','Noto Sans TC';
    box-sizing: border-box;
    padding: 15px 20px;
    padding-right: 50px;
    transition: all .3s linear;
}

.header-menu-second-list p{
    width: 50px;
    display: block;
    font-size: 18px;
    line-height: 49px;
    color: #e50516;
    position: absolute;
    right: 0;
    top: 0;
    text-align: center;
    cursor: pointer;
    transform: rotateZ(0) translateX(3px);
    transition: all .3s ease;
}
.header-menu-second.active .header-menu-second-list p{
    transform: rotateZ(90deg) translateX(3px);
}
.header-menu-thr-box{
    width: 100%;
    position: absolute;
    top: 0%;
    left: 200%;
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    padding: 10px 0;
    border: 1px solid #e50516;
    opacity: 0;
    pointer-events: none;
    overflow: hidden;
    overflow-y: auto;
    min-height: 50vh;
    max-height: 50vh;
}
.header-menu-thr-box::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}
.header-menu-thr-box::-webkit-scrollbar-thumb {
    border-radius:100px;
    -webkit-box-shadow:inset 0 0 5px rgba(0,0,0,0.2);
    background:rgba(229, 5, 24, 0.5);
}
.header-menu-thr-box::-webkit-scrollbar-track {
    -webkit-box-shadow:inset 0 0 5px rgba(0,0,0,0.2);
    border-radius:0;
    background:transparent;
}
.header-menu-thr-list-box{
    width: 100%;
    box-sizing: border-box;
}
.header-menu-thr-list{
    width: 100%;
    display: block;
    font-size: 18px;
    line-height: 1;
    color: #666;
    letter-spacing: 0.1em;
    position: relative;
    font-family: 'Roboto Condensed','Noto Sans TC';
    box-sizing: border-box;
    padding: 7px 20px;
    transition: all .3s linear;
}
.rwd-header-menu-thr-box{
    width: 100%;
    box-sizing: border-box;
    padding: 10px 0;
    display: none;
}

.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

.rwd-menu{
    width: 30px;
    max-width: 100%;
    position: absolute;
    right: 20px;
    z-index: 99999;
    display: none;
    top: calc(50% - 7px);
}
.rwd-menu span{
    width: 100%;
    display: block;
    margin: 0 auto;
    height: 2px;
    background-color: #e50516;
    position: relative;
}




/*漢堡樣式1*/
.rwd-menu-style1> span:nth-child(even){
    margin: 4px auto;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(4){
    top: -19px;
    transform:  scale(0,1) rotate(-45deg);
}
.rwd-menu-style1> span:nth-child(4){
    display: none;
}
.rwd-menu-style1 .rwd-menu-bth-line{
    transform: rotate(-45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line2{
    transform: rotate(45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line,
.rwd-menu-style1 .rwd-menu-bth-line2{
    position: absolute;
    top: 6px;
    left:0;
    width: 100%;
}
.rwd-menu-style1 .rwd-menu-bth-line span,
.rwd-menu-style1 .rwd-menu-bth-line2 span{
    transform:  scale(0,1);
    transition: all .5s ease;
    position: relative;
}
.rwd-menu-style1.active .rwd-menu-bth-line span,
.rwd-menu-style1.active .rwd-menu-bth-line2 span{
    transform:  scale(1,1) ;
    transition-delay: .1s;
}
.rwd-menu-style1.active> span:nth-child(1),
.rwd-menu-style1.active> span:nth-child(2),
.rwd-menu-style1.active> span:nth-child(3){
    transform: scale(0,1);
}
.rwd-menu-style1.active> span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0s;
}

/*漢堡樣式2*/

.rwd-menu-style2> span:nth-child(4){
    display: none;
}
.rwd-menu-style2> span:nth-child(2){
    display: block;
    margin: 4px auto;
}
.rwd-menu-style2{
    width: 25px;
}
.rwd-menu-style2> span{
    transition: all 0.3s ease-in-out;
}
.rwd-menu-style2 .rwd-menu-bth-line,
.rwd-menu-style2 .rwd-menu-bth-line2{
    display: none;
}
.rwd-menu-style2.active{
    animation: smallbig 0.6s forwards;
}
.rwd-menu-style2.active> span:nth-child(1){
    -webkit-transform: translateY(7px) rotate(45deg);
    -ms-transform: translateY(7px) rotate(45deg);
    -o-transform: translateY(7px) rotate(45deg);
    transform: translateY(7px) rotate(45deg);
}
.rwd-menu-style2.active> span:nth-child(2){
    opacity: 0;
}
.rwd-menu-style2.active> span:nth-child(3){
    -webkit-transform: translateY(-5px) rotate(-45deg);
    -ms-transform: translateY(-5px) rotate(-45deg);
    -o-transform: translateY(-5px) rotate(-45deg);
    transform: translateY(-5px) rotate(-45deg);
}

.rwd-menu-style2.active> span:nth-child(1), 
.rwd-menu-style2.active> span:nth-child(2), 
.rwd-menu-style2.active> span:nth-child(3) {
    -webkit-transition-delay: 0.2s;
    -o-transition-delay: 0.2s;
    transition-delay: 0.2s;
}



@keyframes smallbig{
  0%, 100%{
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
  }

  50%{
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
  }
}


/*------------------------------------------*/

@media only screen and (max-width: 1200px){
    .header-style1 .header-box{
        width: 1000px;
        padding: 14px 0;
    }
    .header-style1 .header-menu{
        width: 1000px;
    }
    .header-style1 .header-logo{
        width: 327px;
    }
    .header-left-box {
        width: calc(100% - 327px);
    }
    .header-search-box {
        width: 380px;
    }
}
@media only screen and (max-width: 1000px){
    .header-style1 .header-box{
        width: 750px;
    }
    .header-style1 .header-menu{
        width: 750px;
    }
    .header-search-box {
        width: 279px;
    }
    .header-search>input{
        font-size: 14px;
    }
}

@media only screen and (max-width: 768px){
    .header-style1{
        box-shadow: 0 0 10px rgba(0 ,0 ,0 ,0.3);
    }
    .header-style1 .header-box {
        width: 95vw;
        padding: 9px 0;
    }
    .header-style1 .header-logo{
        width: 220px;
    }
    .header-left-box {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        display: block;
        background-color: #fff;
        margin-left: 0;
        text-align: left;
        box-shadow: 0 0 10px rgba(0 ,0 ,0 ,0.3);
        box-sizing: border-box;
        padding: 10px 0;
        z-index: 997;
    }
    .header-search-box{
        width: 50%;
        box-sizing: border-box;
        padding: 0 5%;
        border-right: 1px solid #d1d1d1;
    }
    .header-search>input{
        height: 30px;
        padding-left: 15px;
        padding-right: 45px;
        border-radius: 15px;
        font-size: 14px;
    }
    .header-search-box form>span{
        right: calc(50vw * 0.05 + 30px);
        font-size: 16px;
        line-height: 30px;
    }
    .header-shopping-box{
        width: 50%;
        margin-left: 0;
        text-align: center;
    }
    .header-shopping-box>span{
        font-size: 20px;
        line-height: 30px;
    }
    .header-shopping-text{
        line-height: 28px;
        margin-top: 0;
        margin-left: 10px;
    }

    .rwd-menu{
        display: block;
        transition: all .3s linear;
    }
    .rwd-header-menu-sytle1 .header-menu-box{
        width: 100%;
        height: 100vh;
        position: fixed;
        top: 0;
        right: 0;
        z-index: 998;
        transition: none;
        background-color: transparent;
        opacity: 0;
        pointer-events: none;
        transition: all .3s linear;
    }
    .rwd-header-menu-sytle1 .header-menu-box.active{
        opacity: 1;
        pointer-events: all;
    }
    .rwd-header-menu-sytle1 .header-menu-box::after{
        content: '';
        width: 100%;
        height: 100%;
        display: block;
        background-color: rgba(0, 0, 0, 0.6);
        position: absolute;
        top: 0;
        left: 0;
    }
    .rwd-header-menu-sytle1 .header-menu{
        width: 100%;
        height: 100%;
        margin: 0;
        margin-left: auto;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction: column;
        transition: none;
        box-sizing: border-box;
        padding-top: 45px;
        padding-bottom: 50px;
        background-color: #fbf6f6;
        position: relative;
        z-index: 9;
        box-shadow: 0 0 10px rgba(0 ,0 ,0 ,0.3);
    }
   
    
    .rwd-header-menu-sytle1 .header-menu> li{
        width: 100%;
        display: block;
        margin: 0;
        text-align: center;
        box-sizing: border-box;
        padding: 10px 0;
        border-top: 1px solid #d1d1d1;
        position: static;
        background-color: #f1f1f1;
    }
    .rwd-header-menu-sytle1 .header-menu> li:last-child{
        margin-bottom: 0;
        border-bottom: 1px solid #d1d1d1;
    }
    .rwd-header-menu-sytle1 .header-menu> li.header-about .header-menu-title::after,
    .rwd-header-menu-sytle1 .header-menu> li.header-products .header-menu-title::after{
        content: '\f0d9';
        font-family: 'Font Awesome 5 Free';
        font-weight: 700;
        display: block;
        font-size: 18px;
        line-height: 39px;
        color: #000;
        position: absolute;
        left: 20px;
        top: 0;
    }
    .header-menu-title{
        display: block;
        line-height: 40px;
    }
    .header-menu-list-box{
        width: 100%;
        height: calc(100vh - 45px);
        display: block;
        top: 0;
        left: 0;
        overflow: hidden;
        overflow-y: auto;
        box-sizing: border-box;
        border-right: 1px solid #d1d1d1;
        box-shadow: -10px 0 10px rgba(0, 0, 0, .1);
        opacity: 0;
        pointer-events: none;
        z-index: 9;
        transition: all .3s linear;
    }
    .header-menu-list-box.active{
        opacity: 1;
        pointer-events: all;
        top: 45px;
    }
    .header-menu-second-box{
        width: 100%;
        position: static;
        opacity: 1;
        pointer-events: all;
        border-left: none;
        border-right: none;
        border-top: none;
        display: none;
        overflow: initial;
        max-height: initial;
    }
    .header-menu-second-box:nth-child(2){
        border-top: 1px solid #e50516;
    }
    .header-menu-list-box>li{
        background-color: #efefef;
        border-bottom: 1px solid #d1d1d1;
    }
    .header-menu-list-box>li:first-child{
        border-top: 1px solid #d1d1d1;
    }
    .header-menu-list>p{
        /* pointer-events: all; */
        width: 49px;
    }
    .header-menu-list-box.active .header-menu-list>p{
        pointer-events: all;
    }
    .header-menu-second-list>p{
        transform: translateX(0);
        width: 49px;
    }
    .header-menu-list>p>.fa-caret-right:before{
        content: '\f0d7';
    }
    .header-menu-second-list>p>.fa-caret-right:before{
        content: '\f0d7';
    }
    .rwd-header-menu-thr-box{
        width: 100%;
        position: static;
        opacity: 1;
        pointer-events: all;
        border-left: none;
        border-right: none;
        border-top: none;
        display: none;
        overflow: initial;
        max-height: initial;
    }
    .header-menu-thr-all-box{
        display: none;
    }

    .rwd-header-menu-list-back{
        position: absolute;
        top: 10px;
        left: 20px;
        color: #e50516;
        display: block;
        width: 25px;
        height: 25px;
        opacity: 0;
        pointer-events: none;
    }
    .rwd-header-menu-list-back.active{
        opacity: 1;
        pointer-events: all;
        z-index: 10;
    }
    .rwd-header-menu-list-back::before{
        content: '';
        border-left: 2px solid #e50516;
        border-bottom: 2px solid #e50516;
        width: 10px;
        height: 10px;
        display: block;
        transform: rotate(45deg);
        position: absolute;
        top: calc(50% - 6px);
        left: 2px;
    }
    .rwd-header-menu-list-back::after{
        content: '';
        width: 20px;
        height: 2px;
        display: block;
        background-color: #e50516;
        position: absolute;
        top: calc(50% - 1px);
        left: 2px;
    }
}
@media only screen and (max-width: 550px){
    .header-menu-title{
        font-size: 16px;
        line-height: 30px;
        letter-spacing: 0.06em;
    }
    .rwd-header-menu-sytle1 .header-menu> li.header-about .header-menu-title::after,
    .rwd-header-menu-sytle1 .header-menu> li.header-products .header-menu-title::after{
        line-height: 29px;
        left: 10px;
    }
    .header-menu-list-a{
        font-size: 16px;
        line-height: 39px;
        padding: 0 40px;
    }
    .header-menu-second-list-title{
        font-size: 16px;
        padding: 10px 40px;
        letter-spacing: 0.06em;
    }
    .header-menu-list>p{
        width: 39px;
        line-height: 39px;
    }
    .header-menu-second-list p{
        width: 39px;
        line-height: 39px;
    }
    .header-menu-thr-list{
        font-size: 16px;
        line-height: 1;
        letter-spacing: 0.06em;
    }
    .rwd-menu{
        right: 10px;
    }
}
@media only screen and (max-width: 360px){
    .header-search>input{
        padding-right: 30px;
    
    }
    .header-search-box form>span {
        right: calc(50vw * 0.05 + 15px);
    }
}




@media only screen and (min-width: 769px){
    .header-menu-list-box>li.active .header-menu-second-box,
    .header-menu-list-box>li:hover .header-menu-second-box{
        opacity: 1;
        pointer-events: all;    
    }
    .header-menu-list-box>li.active .header-menu-list>.header-menu-list-a,
    .header-menu-list-box>li:hover .header-menu-list>.header-menu-list-a{
        background-color: #e50516;
        color: #fff;
    }
    .header-menu-list-box>li.active .header-menu-list>p,
    .header-menu-list-box>li:hover .header-menu-list>p{
        color: #fff;
    }

    .header-search:hover>input,
    .header-search>input:focus{
        background-color: #ddd;
    }
    .header-search-box form>span:hover{
        color: #000;
    }
    .header-shopping-box:hover>span,
    .header-shopping-box:hover .header-shopping-text{
        color: #000;
    }
    .header-menu-title::after{
        content: '';
        width: 0%;
        height: 1px;
        background-color: #e50516;
        position: absolute;
        bottom: 0;
        left: 0;
        transition: all .3s linear;
    }
    .header-style1 .header-menu> li.active .header-menu-title::after,
    .header-menu-title:hover::after{
        width: 100%;
    }
    .header-style1 .header-menu> li.active .header-menu-title,
    .header-menu-title:hover{
        color: #e50516;
    }
    /* .header-menu-thr-list::after{
        content: '';
        width: 0%;
        height: 1px;
        background-color: #000;
        position: absolute;
        bottom: 0;
        left: 0;
        transition: all .3s linear;
    } */
    .header-menu-thr-list:hover{
        background-color: rgba(0, 0, 0, .1);
    }

    .header-menu-second-list.active,
    .header-menu-second-list:hover{
        background-color: #eee;
    }
    .header-menu-second-list.active .header-menu-second-list-title,
    .header-menu-second-list:hover .header-menu-second-list-title{
        color: #e50516;
    }
    .header-menu-second-list>p:hover{
        color: #950511;
    }

}